/* 
This program (formats_for_file_of_individual_boaters.sas) creates the formats
catalog for file_of_individual_boaters.sas7bdat.

Instructions for Windows users:

1. Create a folder for your files, e.g. c:\sasfiles
2. Place file_of_individual_boaters.sas7bdat and formats_for_file_of_individual_boaters.sas
   in the folder
3. Edit the libname statement in formats_for_file_of_individual_boaters.sas so that
   it refers to the folder, e.g.: libname library 'c:\sasfiles'
4. Open and run formats_for_file_of_individual_boaters.sas.  This will create
   the formats catalog, "formats.sas7bcat" in that folder.
5. You may now use file_of_individual_boaters.sas7bdat any way you
   like, for example the following program will create a frequency listing:

   libname library 'c:\sasfiles';
   proc freq data=library.file_of_individual_boaters; 
      tables _all_;
   run;

   Note that by using the name "library" for your libname when inputting the 
   data, SAS will automatically look in that same location for the formats
   catalog.  Otherwise, you would need to use a "fmtsearch" option to tell
   SAS where to look for the formats catalog.
*/

libname library '';

proc format library=library;

   value AGESEL6F 
      1 = "01-16 TO 24"
      2 = "02-25 TO 34"
      3 = "03-35 TO 44"
      4 = "04-45 TO 54"
      5 = "05-55 TO 64"
      6 = "06-65 AND OVER"
      11 = "11-0 TO 4"
      12 = "12-5 TO 9"
      13 = "13-10 TO 15"
   ;
   value JUSTYES 
      1 = "1-YES"
   ;
   value V00009F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00013F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00014F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00028F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00037F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00038F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00039F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value PAGEA 
      95 = "95-AGE 95 OR OLDER"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00104F 
      1 = "01-0 TO 5"
      2 = "02-6 TO 10"
      3 = "03-11 TO 15"
      4 = "04-16 TO 24"
      5 = "05-25 TO 34"
      6 = "06-35 TO 44"
      7 = "07-45 TO 54"
      8 = "08-55 TO 64"
      9 = "09-65 AND OVER"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value YESORNO 
      1 = "1-YES"
      2 = "2-NO"
   ;
   value V00097F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00098F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00099F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00100F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00101F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00102F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value DKRF2F 
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00183F 
      1 = "01-JANUARY"
      2 = "02-FEBRUARY"
      3 = "03-MARCH"
      4 = "04-APRIL"
      5 = "05-MAY"
      6 = "06-JUNE"
      7 = "07-JULY"
      8 = "08-AUGUST"
      9 = "09-SEPTEMBER"
      10 = "10-OCTOBER"
      11 = "11-NOVEMBER"
      12 = "12-DECEMBER"
   ;
   value V00103F 
      1 = "(1) Male"
      2 = "(2) Female"
   ;
   value V00330F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00331F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00332F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00333F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00334F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00335F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00336F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00337F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00338F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00339F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00340F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00341F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00342F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00343F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00344F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00345F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00346F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00347F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00348F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00349F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00350F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00351F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00352F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00353F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00354F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00355F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00356F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00357F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00358F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00359F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value V00360F 
      1 = "01-YES"
      2 = "02-NO"
      97 = "97-DON'T KNOW"
      99 = "99-REFUSED"
   ;
   value $CALLTF 
      "1" = "01-LANDLINE"
      "2" = "02-CELL"
   ;
	value select_fmt
		1 = "(1) Yes"
		.,0 = "(.,0) No"
	;
   value AGEG9_fmt
		1 = "(1) 11 or Younger"
		2 = "(2) 12 to 15"
		3 = "(3) 16 to 24"
		4 = "(4) 25 to 34"
		5 = "(5) 35 to 44"
		6 = "(6) 45 to 54"
		7 = "(7) 55 to 64"
		8 = "(8) 65 to 74"
		9 = "(9) 75 to 96"
	   99 = "(99) Unknown"
	;
	value zero_one_fmt
		1 = "(1) Yes"
		0 = "(0) No"
		. = "(.) Missing"
	;
   value part_first_fmt
   		1="1: Adult boated for first time in ref month"
		0="0: Adult boated in 2011 before ref month"
		.=".: Non-adult, adult hasn't boated yet, ..."
   ;
   value regionnum_fmt
   	   1 = "(1) Northeast"
	   2 = "(2) Midwest"
	   3 = "(3) South"
	   4 = "(4) West"
	   9 = "(9) Puerto Rico"
   ;
run;
